/* Qt Plugin interface for the QtCurve style
 *
 * Taken from B???Curve from R?dH?t
 *
 * (C) Craig Drummond, 2003
 * --------
 *
 * (c) 2002 R?d H?t, Inc.
 * Programmed by Bernhard Rosenkraenzer <bero@r?dh?t.com>
 * Released under the GNU General Public License (GPL) version 2.
 */
#include <qstyleplugin.h>
#define QTC_COMMON_NO_FUNCTIONS
#include "qtcurve.h"
#include "config.h"

class QtCurveStylePlugin : public QStylePlugin
{
    public:

    QtCurveStylePlugin();

    QStringList   keys() const;
    QStyle      * create(const QString &);
};

QtCurveStylePlugin::QtCurveStylePlugin()
    : QStylePlugin()
{
}

QStringList QtCurveStylePlugin::keys() const
{
    QStringList list;
    list << "QtCurve";

    return list;
}

QStyle * QtCurveStylePlugin::create(const QString &s)
{
    return (s.lower() == "qtcurve") ? new QtCurveStyle : 0;
}

Q_EXPORT_PLUGIN( QtCurveStylePlugin )
